use dioxus::prelude::*;
use crate::utils::prop_structs::ImageProps;

#[component]
pub fn IdentityButton(button_text: String, image_props: ImageProps) -> Element {
    rsx! {
        div { class: "animate-wiggle container max-w-sm mx-auto md:px-2 p-2",
            div { class: "block text-lg text-center rounded-sm ring-2 ring-alice-werefox-red-dark dark:ring-alice-werefox-red hover:ring-alice-werefox-blue-dark dark:hover:ring-alice-werefox-blue text-alice-werefox-red-dark dark:text-alice-werefox-red-light hover:text-alice-werefox-blue-dark dark:hover:text-alice-werefox-blue-light hover:animate-yip transition",
                img { class: "relative inline-block w-4 h-4 align-middle mb-1", 
                    src: "{image_props.src}",
                    alt: "{image_props.alt}"
                }
                " {button_text}"
            }
        }
    }
}